/*
**  MIMEView.h
**
**  Copyright (c) 2001, 2002
**
**  Author: Ludovic Marcotte <ludovic@Sophos.ca>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#import <AppKit/AppKit.h>

@interface MIMEView : NSView
{
  NSTableView *tableView;
  NSTableColumn *mimeTypesColumn, *fileExtensionsColumn;
  NSButton *add, *delete, *edit, *importFromMailcap;
  NSScrollView *scrollView;

  id parent;
}

- (id) initWithParent: (id) theParent;

- (void) layoutView;

- (void) dealloc;

//
// access methods
//
- (NSTableView *) tableView;
- (NSTableColumn *) mimeTypesColumn;
- (NSTableColumn *) fileExtensionsColumn;
- (NSButton *) add;
- (NSButton *) delete;
- (NSButton *) edit;
- (NSButton *) importFromMailcap;
- (NSScrollView *) scrollView;

@end
