/*
**  MailWindow.h
**
**  Copyright (c) 2001, 2002
**
**  Author: Ludovic Marcotte <ludovic@Sophos.ca>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#import <AppKit/AppKit.h>

@class LabelWidget;

@interface MailWindow : NSWindow
{
  NSScrollView *tableScrollView, *textScrollView;

  NSSplitView *splitView;
  NSTableView *tableView;
  NSTextView *textView;
  
  NSButton *next, *previous, *delete, *mailboxes, *compose, *forward, *reply, *addresses, *find;
  LabelWidget *label;
  
  NSTableColumn *statusColumn, *idColumn, *dateColumn, *fromColumn, *subjectColumn, *sizeColumn;
}

- (void) dealloc;

- (void) layoutWindow;

//
// access / mutation methods
//

- (NSScrollView *) tableScrollView;
- (NSScrollView *) textScrollView;

- (NSSplitView *) splitView;

- (NSTableView *) tableView;

- (NSTextView *) textView;

- (NSButton *) next;
- (NSButton *) previous;
- (NSButton *) delete;
- (NSButton *) mailboxes;
- (NSButton *) compose;
- (NSButton *) forward;
- (NSButton *) reply;
- (NSButton *) addresses;
- (NSButton *) find;

- (LabelWidget *) label;

- (NSTableColumn *) statusColumn;
- (NSTableColumn *) idColumn;
- (NSTableColumn *) dateColumn;
- (NSTableColumn *) fromColumn;
- (NSTableColumn *) subjectColumn;
- (NSTableColumn *) sizeColumn;

@end
